/videoAnalyticEvents:listFieldValues

Fetches available deep search query parameters based on events matching the input filters and other query parameter inputs. Query parameters can be requested using the parameter param. It has to be noted that the values in the filter will be a subset for those fields which are mentioned in the parameter param. Eg. If the filter specifies a set of actors (such as cameras), and parameter=actor is given, the search for matching is done with the given actor filters and therefore the response will always be a subset of the given list of actors.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time
required

Minimum range of timestamp to fetch events after this time. Default would be 2 hours from current time.

date-time
required

Maximum range of timestamp to fetch events before this time. Default would be the current time.

actor__in
array of objects

Filter to get only events where the actorType and actorId value equals any one of the supplied value in the list. The actorType must be prefixed to the actorId using a colon (:) separator. For example:

  • To filter for a camera with ID cameraId_1, use camera:cameraId_1.
  • To filter for a location with ID locationId_1, use location:locationId_1.
  • To filter for a bridge with ID bridgeId_1, use bridge:bridgeId_1.

Currently, the following actorType values are supported:

  • camera: Matches the specific camera ID.
  • location: Matches all camera IDs associated with the specified location ID(s).
  • bridge: Matches all camera IDs associated with the specified bridge ID(s).

If multiple actor types are provided (e.g., camera, location, and bridge), the filter will include camera IDs associated with any of the given values.

actor__in
layoutId__in
array of strings

Filter to get only events associated with camera Ids mapped to the specified layout Ids. Accepts a comma-separated list of layout Ids (e.g., layoutId_1,layoutId_2). All matching camera IDs for the provided layout IDs will be included in the result.

layoutId__in
tags__any
array of strings

Filter to get only events associated with camera Ids mapped to the specified tag Ids. Accepts a comma-separated list of tag Ids (e.g., tagId_1,tagId_2). All matching camera IDs for the provided tag IDs will be included in the result. Here the suffix __any is used to indicate that the filter is an OR operation, i.e., events associated with any of the provided tag IDs will be included in the result.

tags__any
roiName__in
array of objects

Matches with all events that have at least one motion-event related region with a name containing one or more of the values in this list. Matching is done exactly but is not case-sensitive.

roiName__in
creatorId__in
array of objects

Filter to get only events that have a creatorId value that equals one of the given parameter values.

To get the list of creatorIds that have been recorded for a specific actor/device, use /videoAnalyticEvents:listFieldValues.

creatorId__in
eventType__in
array of objects

Filter to get only events that have a type value that equals one of the given parameter values.

To get the list of event types that have been recorded for a specific actor/device, use /videoAnalyticEvents:listFieldValues.

eventType__in
string
enum
required

Provide the parameter to be returned in the response body with the list of available values for the selected parameter.

Allowed:
Body Params

The request body can be used to add additional object details based on various combinations of the object metadata.

objects__all
array of arrays
required

List of all objects that need to be found for an event to match, each defined by a set of filters. The VMS can identify people, vehicles, and a variety of common objects. You can generate a valid filter by using the POST /videoAnalyticEvents:parse endpoint.

objects__all*
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json